// Code generated by protoc-gen-go. DO NOT EDIT.
// source: smith_query_server.proto

package pb

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type SmithBalanceServerResponse struct {
	Balance              string   `protobuf:"bytes,1,opt,name=Balance,proto3" json:"Balance,omitempty"`
	Status               string   `protobuf:"bytes,2,opt,name=Status,proto3" json:"Status,omitempty"`
	Message              string   `protobuf:"bytes,3,opt,name=Message,proto3" json:"Message,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SmithBalanceServerResponse) Reset()         { *m = SmithBalanceServerResponse{} }
func (m *SmithBalanceServerResponse) String() string { return proto.CompactTextString(m) }
func (*SmithBalanceServerResponse) ProtoMessage()    {}
func (*SmithBalanceServerResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_53b7c1272ecb7f65, []int{0}
}

func (m *SmithBalanceServerResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SmithBalanceServerResponse.Unmarshal(m, b)
}
func (m *SmithBalanceServerResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SmithBalanceServerResponse.Marshal(b, m, deterministic)
}
func (m *SmithBalanceServerResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SmithBalanceServerResponse.Merge(m, src)
}
func (m *SmithBalanceServerResponse) XXX_Size() int {
	return xxx_messageInfo_SmithBalanceServerResponse.Size(m)
}
func (m *SmithBalanceServerResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_SmithBalanceServerResponse.DiscardUnknown(m)
}

var xxx_messageInfo_SmithBalanceServerResponse proto.InternalMessageInfo

func (m *SmithBalanceServerResponse) GetBalance() string {
	if m != nil {
		return m.Balance
	}
	return ""
}

func (m *SmithBalanceServerResponse) GetStatus() string {
	if m != nil {
		return m.Status
	}
	return ""
}

func (m *SmithBalanceServerResponse) GetMessage() string {
	if m != nil {
		return m.Message
	}
	return ""
}

type SmithRequestEmpty struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SmithRequestEmpty) Reset()         { *m = SmithRequestEmpty{} }
func (m *SmithRequestEmpty) String() string { return proto.CompactTextString(m) }
func (*SmithRequestEmpty) ProtoMessage()    {}
func (*SmithRequestEmpty) Descriptor() ([]byte, []int) {
	return fileDescriptor_53b7c1272ecb7f65, []int{1}
}

func (m *SmithRequestEmpty) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SmithRequestEmpty.Unmarshal(m, b)
}
func (m *SmithRequestEmpty) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SmithRequestEmpty.Marshal(b, m, deterministic)
}
func (m *SmithRequestEmpty) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SmithRequestEmpty.Merge(m, src)
}
func (m *SmithRequestEmpty) XXX_Size() int {
	return xxx_messageInfo_SmithRequestEmpty.Size(m)
}
func (m *SmithRequestEmpty) XXX_DiscardUnknown() {
	xxx_messageInfo_SmithRequestEmpty.DiscardUnknown(m)
}

var xxx_messageInfo_SmithRequestEmpty proto.InternalMessageInfo

func init() {
	proto.RegisterType((*SmithBalanceServerResponse)(nil), "SmithBalanceServerResponse")
	proto.RegisterType((*SmithRequestEmpty)(nil), "SmithRequestEmpty")
}

func init() {
	proto.RegisterFile("smith_query_server.proto", fileDescriptor_53b7c1272ecb7f65)
}

var fileDescriptor_53b7c1272ecb7f65 = []byte{
	// 177 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xe2, 0x92, 0x28, 0xce, 0xcd, 0x2c,
	0xc9, 0x88, 0x2f, 0x2c, 0x4d, 0x2d, 0xaa, 0x8c, 0x2f, 0x4e, 0x2d, 0x2a, 0x4b, 0x2d, 0xd2, 0x2b,
	0x28, 0xca, 0x2f, 0xc9, 0x57, 0xca, 0xe0, 0x92, 0x0a, 0x06, 0xc9, 0x39, 0x25, 0xe6, 0x24, 0xe6,
	0x25, 0xa7, 0x06, 0x83, 0xe5, 0x82, 0x52, 0x8b, 0x0b, 0xf2, 0xf3, 0x8a, 0x53, 0x85, 0x24, 0xb8,
	0xd8, 0xa1, 0x12, 0x12, 0x8c, 0x0a, 0x8c, 0x1a, 0x9c, 0x41, 0x30, 0xae, 0x90, 0x18, 0x17, 0x5b,
	0x70, 0x49, 0x62, 0x49, 0x69, 0xb1, 0x04, 0x13, 0x58, 0x02, 0xca, 0x03, 0xe9, 0xf0, 0x4d, 0x2d,
	0x2e, 0x4e, 0x4c, 0x4f, 0x95, 0x60, 0x86, 0xe8, 0x80, 0x72, 0x95, 0x84, 0xb9, 0x04, 0xc1, 0x36,
	0x05, 0xa5, 0x16, 0x96, 0xa6, 0x16, 0x97, 0xb8, 0xe6, 0x16, 0x94, 0x54, 0x1a, 0x79, 0x72, 0xb1,
	0x79, 0x82, 0x45, 0x85, 0xec, 0xb9, 0xb8, 0xdc, 0x53, 0x4b, 0x60, 0xc6, 0x0b, 0xe9, 0x61, 0xa8,
	0x95, 0x92, 0xd6, 0xc3, 0xed, 0x52, 0x25, 0x06, 0x27, 0x96, 0x28, 0xa6, 0x82, 0xa4, 0x24, 0x36,
	0xb0, 0xb7, 0x8c, 0x01, 0x01, 0x00, 0x00, 0xff, 0xff, 0xeb, 0xdb, 0x62, 0x28, 0xf2, 0x00, 0x00,
	0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// ISmithClient is the client API for ISmith service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type ISmithClient interface {
	GetBalance(ctx context.Context, in *SmithRequestEmpty, opts ...grpc.CallOption) (*SmithBalanceServerResponse, error)
}

type iSmithClient struct {
	cc grpc.ClientConnInterface
}

func NewISmithClient(cc grpc.ClientConnInterface) ISmithClient {
	return &iSmithClient{cc}
}

func (c *iSmithClient) GetBalance(ctx context.Context, in *SmithRequestEmpty, opts ...grpc.CallOption) (*SmithBalanceServerResponse, error) {
	out := new(SmithBalanceServerResponse)
	err := c.cc.Invoke(ctx, "/ISmith/GetBalance", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// ISmithServer is the server API for ISmith service.
type ISmithServer interface {
	GetBalance(context.Context, *SmithRequestEmpty) (*SmithBalanceServerResponse, error)
}

// UnimplementedISmithServer can be embedded to have forward compatible implementations.
type UnimplementedISmithServer struct {
}

func (*UnimplementedISmithServer) GetBalance(ctx context.Context, req *SmithRequestEmpty) (*SmithBalanceServerResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetBalance not implemented")
}

func RegisterISmithServer(s *grpc.Server, srv ISmithServer) {
	s.RegisterService(&_ISmith_serviceDesc, srv)
}

func _ISmith_GetBalance_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SmithRequestEmpty)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ISmithServer).GetBalance(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/ISmith/GetBalance",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ISmithServer).GetBalance(ctx, req.(*SmithRequestEmpty))
	}
	return interceptor(ctx, in, info, handler)
}

var _ISmith_serviceDesc = grpc.ServiceDesc{
	ServiceName: "ISmith",
	HandlerType: (*ISmithServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "GetBalance",
			Handler:    _ISmith_GetBalance_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "smith_query_server.proto",
}
